# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.61"
name = "create-tauri-app"
version = "3.13.8"
authors = ["Tauri Programme within The Commons Conservancy"]
exclude = [
    "node",
    "worker",
    ".github",
    ".changes",
    ".scripts",
]
description = "Rapidly scaffold out a new tauri app project."
readme = "README.md"
keywords = ["tauri"]
categories = ["gui"]
license = "Apache-2.0 OR MIT"
repository = "https://github.com/tauri-apps/create-tauri-app"

[profile.release]
opt-level = "s"
lto = true
codegen-units = 1
panic = "abort"
strip = true

[[bin]]
name = "cargo-create-tauri-app"
path = "src/main.rs"

[dependencies.anyhow]
version = "1"

[dependencies.ctrlc]
version = "3.3"

[dependencies.dialoguer]
version = "0.10"

[dependencies.pico-args]
version = "0.5"

[dependencies.rust-embed]
version = "8.3"
features = [
    "compression",
    "interpolate-folder-path",
]
